. ./.env

urlencode () {
   echo -n $1 | jq -sRr @uri
}

DB_USER="authenticator"
PASS=`cat .secrets/.db_authenticator_password`
AUTH_PASSWORD=`urlencode ${PASS}`

DB_HOST=`urlencode ${DATABASE_HOST:-cypex_database}`
DB_PORT="${DATABASE_PORT:-5432}"
DB_NAME=`urlencode ${DATABASE_NAME:-cypex}`
SSL="?sslmode=${PGSSLMODE:-disable}"
CA_CERT="&sslrootcert=${PGSSLROOTCERT}"

# be careful, the password is NOT URL-encoded
# if the password contains characters like "/", the apis will throw errors
echo -n "postgres://${DB_USER}:${AUTH_PASSWORD}@${DB_HOST}:${DB_PORT}/${DB_NAME}${SSL}${CA_CERT}" > .db_authenticator_connection_string
