#!/bin/sh

echo "Compressing docker images..."
docker save -o docker-images.tar $(docker-compose config | awk '{if ($1 == "image:") print $2;}') 2>/dev/null


if [ -f docker-images.tar ]; then
    gzip -6 docker-images.tar
fi

echo "Generating standalone package..."
tar -czvf cypex-standalone.tar.gz docker-images.tar.gz cypex docker-compose.yml pg_timetable/ README.md RELEASE_NOTES.md scripts/ CYPEX_2_1_installation.pdf >/dev/null 2>&1

echo "Cleaning up..."
rm -rf docker-images.tar.gz >/dev/null 2>&1
echo "Done."
